# VectorStackAI: Official Python SDK

![PyPI version](https://img.shields.io/pypi/v/vectorstackai.svg)

[VectorStackAI](https://vectorstack.ai) develops lean and efficient Generative AI solutions tailored for enterprise needs.
This official Python SDK provides an interface for integrating with VectorStackAI’s specialized offerings:

- [PreciseSearch](https://docs.vectorstack.ai/precise_search/index.html): A search-as-a-service solution for fast, accurate similarity search across large-scale datasets.
- [Embeddings](https://docs.vectorstack.ai/embeddings/): Embeddings-as-a-service solution, offering high-performance, state-of-the-art domain-specific embeddings optimized for enterprise applications.

## Installation

```bash
pip install vectorstackai
```

## Documentation

For detailed usage and API references, visit the [Python SDK Documentation](https://docs.vectorstack.ai/).
